Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedi.ds
Class Class

    java.lang.Object
      |
      +--jedi.ds.Class

All Implemented Interfaces:
  Sorter.Comparable

public class Class
extends java.lang.Object
implements Sorter.Comparable

Field Summary
`static java.lang.String` | `BACKUP_PREFIX`
`static int` | `CLASS`
`static java.lang.String` | `CLASS_PREFIX`
`static java.lang.String` | `CONSTRUCTORNAME`
`static java.lang.String` | `INITIALIZERNAME`
`static int` | `INTERFACE`
`static java.lang.String` | `INTERFACE_PREFIX`
`static java.lang.String` | `PROPERTIESFILENAME`
`static java.lang.String` | `RECOVERY_PREFIX`

Constructor Summary
`Class(Package pack, java.lang.String classname, int type)`

Method Summary
`Method` | `add(java.lang.String methodname, int type)`
`Method` | `addConstructor()`
`void` | `addImplements(java.lang.String impl)`
`void` | `addImport(java.lang.String imprt)`
`Method` | `addInitializer()`
`Class` | `addInnerClass(java.lang.String classname, int type)`
`Method` | `addMethod(java.lang.String methodname)`
`void` | `appendVariablesText(java.lang.String line)`
`void` | `cleanUp()`
`int` | `compareTo(java.lang.Object o)` Compare objects and return a value that indicates their relative order: if (this > other) return > 0 if (this == other) return 0 if (this < other) return < 0
`boolean` | `delete(Class cl)`
`boolean` | `delete(Method me)`
`ClassPrefsFrame` | `editPrefs()`
`protected boolean` | `export(java.io.File directory)`
`boolean` | `export(java.io.PrintWriter out, boolean javadoc)`
`java.lang.String` | `getClassPrefix()`
`int` | `getDebugLevel()`
`java.lang.String` | `getExtends()`
`java.lang.String` | `getFullName()`
`java.lang.String` | `getImplements()`
`java.lang.String[]` | `getImports()`
`java.lang.String` | `getInterfaces()`
`UndoableDocument` | `getJavaDocAsDocument()`
`java.lang.String` | `getJavaDocAsPlainText()`
`Method` | `getLastSelectedMethod()`
`LineResolver` | `getLineResolver()`
`java.lang.String[]` | `getMethodList()`
`Method[]` | `getMethods()`
`java.lang.String` | `getModifiers()`
`java.lang.String` | `getName()`
`boolean` | `getNeedsCompilation()`
`Package` | `getParent()`
`Class` | `getParentClass()`
`ClassPrefsFrame` | `getPrefsFrame()`
`java.lang.String` | `getSignature()`
`java.lang.String` | `getSourceFilename()`
`java.lang.String` | `getSuper()`
`int` | `getType()`
`JavaDocument` | `getVariablesAsJavaDocument()`
`java.lang.String` | `getVariablesAsPlainText()`
`boolean` | `isAbstract()`
`boolean` | `isChanged()`
`boolean` | `isClass()`
`boolean` | `isFinal()`
`boolean` | `isInnerClass()`
`boolean` | `isInterface()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`void` | `markChanged()`
`void` | `refreshPrefsFrame()`
`void` | `saveChanges()`
`protected boolean` | `saveSource()`
`void` | `setAbstract(boolean b)`
`void` | `setDataFrom(Class c)`
`void` | `setDebugLevel(int value)`
`void` | `setExtends(java.lang.String s)`
`void` | `setFinal(boolean b)`
`void` | `setImplements(java.lang.String s)`
`void` | `setImports(java.lang.String[] s)`
`void` | `setJavaDoc(java.lang.String s)`
`void` | `setLastSelectedMethod(Method m)`
`void` | `setPrivate(boolean b)`
`void` | `setProtected(boolean b)`
`void` | `setPublic(boolean b)`
`void` | `setStatic(boolean b)`
`void` | `setVariables(java.lang.String s)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROPERTIESFILENAME

    public static final java.lang.String PROPERTIESFILENAME

### CONSTRUCTORNAME

    public static final java.lang.String CONSTRUCTORNAME

### INITIALIZERNAME

    public static final java.lang.String INITIALIZERNAME

### CLASS_PREFIX

    public static final java.lang.String CLASS_PREFIX

### INTERFACE_PREFIX

    public static final java.lang.String INTERFACE_PREFIX

### RECOVERY_PREFIX

    public static final java.lang.String RECOVERY_PREFIX

### BACKUP_PREFIX

    public static final java.lang.String BACKUP_PREFIX

### CLASS

    public static final int CLASS

### INTERFACE

    public static final int INTERFACE

Constructor Detail

### Class

    public Class(Package pack,
                 java.lang.String classname,
                 int type)

Method Detail

### add

    public Method add(java.lang.String methodname,
                      int type)

### addConstructor

    public Method addConstructor()

### addImplements

    public void addImplements(java.lang.String impl)

### addImport

    public void addImport(java.lang.String imprt)

### addInitializer

    public Method addInitializer()

### addInnerClass

    public Class addInnerClass(java.lang.String classname,
                               int type)

### addMethod

    public Method addMethod(java.lang.String methodname)

### appendVariablesText

    public void appendVariablesText(java.lang.String line)

### cleanUp

    public void cleanUp()

### compareTo

    public int compareTo(java.lang.Object o)

  Description copied from interface: `Sorter.Comparable`
  Compare objects and return a value that indicates their relative order: if (this > other) return > 0 if (this == other) return 0 if (this < other) return < 0
  Specified by:
    `compareTo` in interface `Sorter.Comparable`

### delete

    public boolean delete(Method me)

### delete

    public boolean delete(Class cl)

### editPrefs

    public ClassPrefsFrame editPrefs()

### export

    protected boolean export(java.io.File directory)

### export

    public boolean export(java.io.PrintWriter out,
                          boolean javadoc)

### getClassPrefix

    public java.lang.String getClassPrefix()

### getDebugLevel

    public int getDebugLevel()

### getExtends

    public java.lang.String getExtends()

### getFullName

    public java.lang.String getFullName()

### getImplements

    public java.lang.String getImplements()

### getImports

    public java.lang.String[] getImports()

### getInterfaces

    public java.lang.String getInterfaces()

### getJavaDocAsDocument

    public UndoableDocument getJavaDocAsDocument()

### getJavaDocAsPlainText

    public java.lang.String getJavaDocAsPlainText()

### getLastSelectedMethod

    public Method getLastSelectedMethod()

### getLineResolver

    public LineResolver getLineResolver()

### getMethodList

    public java.lang.String[] getMethodList()

### getMethods

    public Method[] getMethods()

### getModifiers

    public java.lang.String getModifiers()

### getName

    public java.lang.String getName()

### getNeedsCompilation

    public boolean getNeedsCompilation()

### getParent

    public Package getParent()

### getParentClass

    public Class getParentClass()

### getPrefsFrame

    public ClassPrefsFrame getPrefsFrame()

### getSignature

    public java.lang.String getSignature()

### getSourceFilename

    public java.lang.String getSourceFilename()

### getSuper

    public java.lang.String getSuper()

### getType

    public int getType()

### getVariablesAsJavaDocument

    public JavaDocument getVariablesAsJavaDocument()

### getVariablesAsPlainText

    public java.lang.String getVariablesAsPlainText()

### isAbstract

    public boolean isAbstract()

### isChanged

    public boolean isChanged()

### isClass

    public boolean isClass()

### isFinal

    public boolean isFinal()

### isInnerClass

    public boolean isInnerClass()

### isInterface

    public boolean isInterface()

### isPrivate

    public boolean isPrivate()

### isProtected

    public boolean isProtected()

### isPublic

    public boolean isPublic()

### isStatic

    public boolean isStatic()

### markChanged

    public void markChanged()

### refreshPrefsFrame

    public void refreshPrefsFrame()

### saveChanges

    public void saveChanges()

### saveSource

    protected boolean saveSource()

### setAbstract

    public void setAbstract(boolean b)

### setDataFrom

    public void setDataFrom(Class c)

### setDebugLevel

    public void setDebugLevel(int value)

### setExtends

    public void setExtends(java.lang.String s)

### setFinal

    public void setFinal(boolean b)

### setImplements

    public void setImplements(java.lang.String s)

### setImports

    public void setImports(java.lang.String[] s)

### setJavaDoc

    public void setJavaDoc(java.lang.String s)

### setLastSelectedMethod

    public void setLastSelectedMethod(Method m)

### setPrivate

    public void setPrivate(boolean b)

### setProtected

    public void setProtected(boolean b)

### setPublic

    public void setPublic(boolean b)

### setStatic

    public void setStatic(boolean b)

### setVariables

    public void setVariables(java.lang.String s)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD